Bug 9826 - Missing fields in MARC21 authority framework
Summary: Missing fields in MARC21 authority framework
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bernardo Gonzalez Kriegel
QA Contact:
URL:
Keywords:
Depends on:
Blocks: 10488
  Show dependency treegraph
 
Reported: 2013-03-16 03:28 UTC by Bernardo Gonzalez Kriegel
Modified: 2015-06-04 23:24 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9826 - Missing fields in MARC21 authority framework (632.57 KB, patch)
2013-03-16 05:30 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9826 - Missing fields in MARC21 authority framework (632.66 KB, patch)
2013-06-01 03:27 UTC, Mason James
Details | Diff | Splinter Review
Bug 9826 - Missing fields in MARC21 authority framework (632.67 KB, patch)
2013-06-18 10:03 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bernardo Gonzalez Kriegel 2013-03-16 03:28:54 UTC
The default Authority frameworks for MARC21 are missing many tags.
Comment 1 Bernardo Gonzalez Kriegel 2013-03-16 05:30:44 UTC Comment hidden (obsolete)
Comment 2 David Cook 2013-05-02 09:25:51 UTC
(In reply to comment #1)
> Created attachment 16174 [details] [review] [review]
> Bug 9826 - Missing fields in MARC21 authority framework
> 
> This patch updates MARC21 authority framework adding
> missing tags/subtags up to Update No. 15 (September 2012)
> 
> Missing tags and corresponding subtags only added to
> default authority framework.
> 
> For present authtypes only missing subtags are added.
> 
> Also updates a few legends to match those from LOC.
> 
> No deletions except for a few not relevant tags in
> present authtypes without subfields.
> 
> Only to new installs.
> 
> To test:
> 1) Delete present authority frameworks
> 2) Load new frameworks. On default there are
> many new tags/subtags. On present authtypes
> only a few new/renamed subtags.

Could you give some more detailed instructions on how to go about deleting and loading authority frameworks?

Am I clearing out "auth_types", "auth_tag_structure" and "auth_subfield_structure" and then running ".../marc21/mandatory/authorities_normal_marc21.sql"?

Also, what are some new tags/subtags that I should be looking for?
Comment 3 Bernardo Gonzalez Kriegel 2013-05-02 11:59:37 UTC
This patch only touch 'default' framework, perhaps I can do another bug that updates example frameworks. For bib frameworks there are 2 files, for auth there is only one.

To delete present auth framework:

mysql -ukohauser -pkohapass kohadb -e "delete from auth_subfield_structure; delete from auth_tag_structure; delete from auth_types;"

To add the new ones:

mysql -ukohauser -pkohapass kohadb < $PATH/authorities_normal_marc21.sql

What's new:
Look in diff view, http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=16174&action=diff

All green is new + subtags for 368~384
All lightBlue is modification
Comment 4 David Cook 2013-05-10 06:41:34 UTC
(In reply to comment #3)
> This patch only touch 'default' framework, perhaps I can do another bug that
> updates example frameworks. For bib frameworks there are 2 files, for auth
> there is only one.
> 
> To delete present auth framework:
> 
> mysql -ukohauser -pkohapass kohadb -e "delete from auth_subfield_structure;
> delete from auth_tag_structure; delete from auth_types;"
> 
> To add the new ones:
> 
> mysql -ukohauser -pkohapass kohadb < $PATH/authorities_normal_marc21.sql
> 
> What's new:
> Look in diff view,
> http://bugs.koha-community.org/bugzilla3/attachment.cgi?id=16174&action=diff
> 
> All green is new + subtags for 368~384
> All lightBlue is modification

Thanks for the additional info, Bernardo! Where did you get the list of tags to add?

I know it would involve more work, but would you be able to add the appropriate tags to the other frameworks as well, since they're included in this same SQL file and you already know which tags need to be added overall?
Comment 5 Mason James 2013-06-01 03:27:58 UTC Comment hidden (obsolete)
Comment 6 Mason James 2013-06-01 03:29:58 UTC
> Signed-off-by: Mason James <mtj@kohaaloha.com>

i've given this patch a good eyeball, and tested it
it looks good! :)
Comment 7 Chris Cormack 2013-06-18 10:03:39 UTC
Created attachment 19111 [details] [review]
Bug 9826 - Missing fields in MARC21 authority framework

This patch updates MARC21 authority framework adding
missing tags/subtags up to Update No. 15 (September 2012)

Missing tags and corresponding subtags only added to
default authority framework.

For present authtypes only missing subtags are added.

Also updates a few legends to match those from LOC.

No deletions except for a few not relevant tags in
present authtypes without subfields.

Only to new installs.

To test:
1) Delete present authority frameworks
2) Load new frameworks. On default there are
many new tags/subtags. On present authtypes
only a few new/renamed subtags.

Signed-off-by: Mason James <mtj@kohaaloha.com>
Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 8 Galen Charlton 2013-06-18 14:18:33 UTC
(In reply to comment #4)
> I know it would involve more work, but would you be able to add the
> appropriate tags to the other frameworks as well, since they're included in
> this same SQL file and you already know which tags need to be added overall?

I think this would be a good idea.  The non-default authority frameworks, at least for MARC21, are special in that they correspond to authtypecode.  I think it would be unusual for catalogers to use the default authority framework unless they're creating subdivision records; more common would be to immediately start with the framework corresponding to the type of authority record they want to create.

I think there might be a way to restructure the installer SQL so that the non-default frameworks are created by copying the default framework, then applying the necessary tweaks.
Comment 9 Galen Charlton 2013-06-18 15:03:03 UTC
I've pushed this patch to master.  Thanks, Bernardo!

I've also created bug 10488 for necessary follow-ups to this work.
Comment 10 Tomás Cohen Arazi 2013-07-07 00:10:38 UTC
This patch has been pushed to 3.12.x, will be in 3.12.2.

Great work Bernardo!
Comment 11 Bernardo Gonzalez Kriegel 2013-07-14 13:58:49 UTC
Pushed to 3.10.x, will be in 3.10.8